> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.agentverse.ai/v-1/api-reference/search/check-current-campaign-eligibility/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server. # Check Current Campaign Eligibility GET https://agentverse.ai/v1/search/agents/current-campaign-eligibility/{address} Retrieves a dictionary that shows eligibility status of the agent in current campaign A key in the dictionary is the condition name and the corresponding value shows if the condition is met/unmet (True/False) by the agent Reference: https://docs.agentverse.ai/v-1/api-reference/search/check-current-campaign-eligibility ## Request ### Path parameters - `address` (string, required) ### Query parameters - `contract` (enum, optional) — The Almanac contract where the agent is registered (testnet by default) - Allowed values: `mainnet`, `testnet` ## Response ### 200 Successful Response - `map from string to boolean` ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItems ## Examples **Response** ```json {} ``` **SDK Code** ```python checkCurrentCampaignEligibilityExample import requests url = "https://agentverse.ai/v1/search/agents/current-campaign-eligibility/address" response = requests.get(url) print(response.json()) ``` ```javascript checkCurrentCampaignEligibilityExample const url = 'https://agentverse.ai/v1/search/agents/current-campaign-eligibility/address'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go checkCurrentCampaignEligibilityExample package main import ( "fmt" "net/http" "io" ) func main() { url := "https://agentverse.ai/v1/search/agents/current-campaign-eligibility/address" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby checkCurrentCampaignEligibilityExample require 'uri' require 'net/http' url = URI("https://agentverse.ai/v1/search/agents/current-campaign-eligibility/address") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java checkCurrentCampaignEligibilityExample import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://agentverse.ai/v1/search/agents/current-campaign-eligibility/address") .asString(); ``` ```php checkCurrentCampaignEligibilityExample request('GET', 'https://agentverse.ai/v1/search/agents/current-campaign-eligibility/address'); echo $response->getBody(); ``` ```csharp checkCurrentCampaignEligibilityExample using RestSharp; var client = new RestClient("https://agentverse.ai/v1/search/agents/current-campaign-eligibility/address"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift checkCurrentCampaignEligibilityExample import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/v1/search/agents/current-campaign-eligibility/address")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Build, integrate, and launch agents using APIs and chat protocol.